# It comes in the default configuration
windowrulev2 = suppressevent maximize, class:.*

# Waybar launched terminals
windowrulev2 = float, $windowFilterForWaybarFloatingTerminals
windowrulev2 = centers, $windowFilterForWaybarFloatingTerminals
windowrulev2 = size 900 400, $windowFilterForWaybarFloatingTerminals

windowrulev2 = float, $windowFilterForWaybarFullscreenTerminals
windowrulev2 = fullscreen, $windowFilterForWaybarFullscreenTerminals

# My app launcher
windowrulev2 = float, $windowFilterForMenuLauncher
windowrulev2 = pin, $windowFilterForMenuLauncher
windowrulev2 = stayfocused, $windowFilterForMenuLauncher
windowrulev2 = size 600 200, $windowFilterForMenuLauncher
windowrulev2 = center, $windowFilterForMenuLauncher
windowrulev2 = dimaround, $windowFilterForMenuLauncher